package document_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type DocumentFilltextfieldsRequest struct {
	// 【签署文档添加表单域】签署文档添加表单域
	RequestParams []*common.FormDto `json:"requestParams,omitempty"`
}

func (obj DocumentFilltextfieldsRequest) GetUrl() string {
	return "/document/fillTextFields"
}

func (obj DocumentFilltextfieldsRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj.RequestParams)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
